<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.goafanti.common.dao.OrgCognizanceProportionMapper" >
  <resultMap id="BaseResultMap" type="com.goafanti.common.model.OrgCognizanceProportion" >
    <id column="id" property="id" jdbcType="VARCHAR" />
    <result column="uid" property="uid" jdbcType="VARCHAR" />
    <result column="institution" property="institution" jdbcType="INTEGER" />
    <result column="activity" property="activity" jdbcType="INTEGER" />
    <result column="activity_cost" property="activityCost" jdbcType="INTEGER" />
    <result column="tech_project" property="techProject" jdbcType="INTEGER" />
    <result column="intellectual_property" property="intellectualProperty" jdbcType="INTEGER" />
    <result column="achievement" property="achievement" jdbcType="INTEGER" />
    <result column="ratepay" property="ratepay" jdbcType="INTEGER" />
    <result column="finance" property="finance" jdbcType="INTEGER" />
    <result column="human_resource" property="humanResource" jdbcType="INTEGER" />
    <result column="honor_datum" property="honorDatum" jdbcType="INTEGER" />
    <result column="standard" property="standard" jdbcType="INTEGER" />
    <result column="ability" property="ability" jdbcType="INTEGER" />
  </resultMap>
  <sql id="Base_Column_List" >
    id, uid, institution, activity, activity_cost, tech_project, intellectual_property, 
    achievement, ratepay, finance, human_resource, honor_datum, standard, ability
  </sql>
  <select id="selectByPrimaryKey" resultMap="BaseResultMap" parameterType="java.lang.String" >
    select 
    <include refid="Base_Column_List" />
    from org_cognizance_proportion
    where id = #{id,jdbcType=VARCHAR}
  </select>
  <delete id="deleteByPrimaryKey" parameterType="java.lang.String" >
    delete from org_cognizance_proportion
    where id = #{id,jdbcType=VARCHAR}
  </delete>
  <insert id="insert" parameterType="com.goafanti.common.model.OrgCognizanceProportion" >
    insert into org_cognizance_proportion (id, uid, institution, 
      activity, activity_cost, tech_project, 
      intellectual_property, achievement, ratepay, 
      finance, human_resource, honor_datum, 
      standard, ability)
    values (#{id,jdbcType=VARCHAR}, #{uid,jdbcType=VARCHAR}, #{institution,jdbcType=INTEGER}, 
      #{activity,jdbcType=INTEGER}, #{activityCost,jdbcType=INTEGER}, #{techProject,jdbcType=INTEGER}, 
      #{intellectualProperty,jdbcType=INTEGER}, #{achievement,jdbcType=INTEGER}, #{ratepay,jdbcType=INTEGER}, 
      #{finance,jdbcType=INTEGER}, #{humanResource,jdbcType=INTEGER}, #{honorDatum,jdbcType=INTEGER}, 
      #{standard,jdbcType=INTEGER}, #{ability,jdbcType=INTEGER})
  </insert>
  <insert id="insertSelective" parameterType="com.goafanti.common.model.OrgCognizanceProportion" >
    insert into org_cognizance_proportion
    <trim prefix="(" suffix=")" suffixOverrides="," >
      <if test="id != null" >
        id,
      </if>
      <if test="uid != null" >
        uid,
      </if>
      <if test="institution != null" >
        institution,
      </if>
      <if test="activity != null" >
        activity,
      </if>
      <if test="activityCost != null" >
        activity_cost,
      </if>
      <if test="techProject != null" >
        tech_project,
      </if>
      <if test="intellectualProperty != null" >
        intellectual_property,
      </if>
      <if test="achievement != null" >
        achievement,
      </if>
      <if test="ratepay != null" >
        ratepay,
      </if>
      <if test="finance != null" >
        finance,
      </if>
      <if test="humanResource != null" >
        human_resource,
      </if>
      <if test="honorDatum != null" >
        honor_datum,
      </if>
      <if test="standard != null" >
        standard,
      </if>
      <if test="ability != null" >
        ability,
      </if>
    </trim>
    <trim prefix="values (" suffix=")" suffixOverrides="," >
      <if test="id != null" >
        #{id,jdbcType=VARCHAR},
      </if>
      <if test="uid != null" >
        #{uid,jdbcType=VARCHAR},
      </if>
      <if test="institution != null" >
        #{institution,jdbcType=INTEGER},
      </if>
      <if test="activity != null" >
        #{activity,jdbcType=INTEGER},
      </if>
      <if test="activityCost != null" >
        #{activityCost,jdbcType=INTEGER},
      </if>
      <if test="techProject != null" >
        #{techProject,jdbcType=INTEGER},
      </if>
      <if test="intellectualProperty != null" >
        #{intellectualProperty,jdbcType=INTEGER},
      </if>
      <if test="achievement != null" >
        #{achievement,jdbcType=INTEGER},
      </if>
      <if test="ratepay != null" >
        #{ratepay,jdbcType=INTEGER},
      </if>
      <if test="finance != null" >
        #{finance,jdbcType=INTEGER},
      </if>
      <if test="humanResource != null" >
        #{humanResource,jdbcType=INTEGER},
      </if>
      <if test="honorDatum != null" >
        #{honorDatum,jdbcType=INTEGER},
      </if>
      <if test="standard != null" >
        #{standard,jdbcType=INTEGER},
      </if>
      <if test="ability != null" >
        #{ability,jdbcType=INTEGER},
      </if>
    </trim>
  </insert>
  <update id="updateByPrimaryKeySelective" parameterType="com.goafanti.common.model.OrgCognizanceProportion" >
    update org_cognizance_proportion
    <set >
      <if test="uid != null" >
        uid = #{uid,jdbcType=VARCHAR},
      </if>
      <if test="institution != null" >
        institution = #{institution,jdbcType=INTEGER},
      </if>
      <if test="activity != null" >
        activity = #{activity,jdbcType=INTEGER},
      </if>
      <if test="activityCost != null" >
        activity_cost = #{activityCost,jdbcType=INTEGER},
      </if>
      <if test="techProject != null" >
        tech_project = #{techProject,jdbcType=INTEGER},
      </if>
      <if test="intellectualProperty != null" >
        intellectual_property = #{intellectualProperty,jdbcType=INTEGER},
      </if>
      <if test="achievement != null" >
        achievement = #{achievement,jdbcType=INTEGER},
      </if>
      <if test="ratepay != null" >
        ratepay = #{ratepay,jdbcType=INTEGER},
      </if>
      <if test="finance != null" >
        finance = #{finance,jdbcType=INTEGER},
      </if>
      <if test="humanResource != null" >
        human_resource = #{humanResource,jdbcType=INTEGER},
      </if>
      <if test="honorDatum != null" >
        honor_datum = #{honorDatum,jdbcType=INTEGER},
      </if>
      <if test="standard != null" >
        standard = #{standard,jdbcType=INTEGER},
      </if>
      <if test="ability != null" >
        ability = #{ability,jdbcType=INTEGER},
      </if>
    </set>
    where id = #{id,jdbcType=VARCHAR}
  </update>
  <update id="updateByPrimaryKey" parameterType="com.goafanti.common.model.OrgCognizanceProportion" >
    update org_cognizance_proportion
    set uid = #{uid,jdbcType=VARCHAR},
      institution = #{institution,jdbcType=INTEGER},
      activity = #{activity,jdbcType=INTEGER},
      activity_cost = #{activityCost,jdbcType=INTEGER},
      tech_project = #{techProject,jdbcType=INTEGER},
      intellectual_property = #{intellectualProperty,jdbcType=INTEGER},
      achievement = #{achievement,jdbcType=INTEGER},
      ratepay = #{ratepay,jdbcType=INTEGER},
      finance = #{finance,jdbcType=INTEGER},
      human_resource = #{humanResource,jdbcType=INTEGER},
      honor_datum = #{honorDatum,jdbcType=INTEGER},
      standard = #{standard,jdbcType=INTEGER},
      ability = #{ability,jdbcType=INTEGER}
    where id = #{id,jdbcType=VARCHAR}
  </update>
  
  <select id="selectByUid" resultMap="BaseResultMap" parameterType="java.lang.String" >
    select 
    <include refid="Base_Column_List" />
    from org_cognizance_proportion
    where uid = #{uid,jdbcType=VARCHAR}
  </select>
</mapper>